Get resource childrens for a given resource
curl --request GET \
--url https://b.anny.co/api/v1/resources/{resource_slug}/childrenimport requests
url = "https://b.anny.co/api/v1/resources/{resource_slug}/children"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://b.anny.co/api/v1/resources/{resource_slug}/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "resources",
"id": "22231",
"attributes": {
"slug": "HlYe29LbPSGyOwsefgXIgtm1tmbnty",
"name": "Fred Beck",
"description": null,
"plain_description": "",
"availabilityMode": null,
"continuous": true,
"color": null,
"auto_accept_bookings": true,
"timezone": "Europe/Berlin",
"quantity": 1,
"staggered_quantity": null,
"max_booking_quantity": 1,
"has_children": false,
"available_from": null,
"available_to": null
},
"links": {
"self": "https://b.anny.co/api/v1/resources/22231"
},
"meta": {
"is_available": null,
"booking_count": null,
"number_available": null,
"minimal_service": {
"name": "Coaching: Leadership - Empower Your Employees",
"currency": "EUR",
"has_flexible_duration": false,
"uncharged_duration": 0,
"min_duration": 240,
"min_price_max_duration": 240,
"min_duration_total": 249,
"starting_fee": 0,
"calculation_interval": 240,
"price": 249
},
"service_list": "Coaching: Leadership - Empower Your Employees",
"services_count": 0,
"settings": {
"showAvailabilityCalendar": true,
"showAvailabilityCount": true,
"checkout": {
"customerCanPickChildren": true,
"requiresLogin": false,
"requiresLoginReason": null,
"verifyGuestEmail": false
},
"checkIn": {
"isEnabled": false
},
"selfCheckIn": {
"isEnabled": false,
"disabledUntil": 15,
"geoCheckEnabled": true,
"geoCheckMaxDelta": 997,
"allowedOverrunTime": 60
}
},
"meta_settings": {
"showAvailabilityCalendar": true,
"showAvailabilityCount": true,
"checkout": {
"customerCanPickChildren": true,
"requiresLogin": false,
"requiresLoginReason": null,
"verifyGuestEmail": false
},
"checkIn": {
"isEnabled": false
},
"selfCheckIn": {
"isEnabled": false,
"disabledUntil": 15,
"geoCheckEnabled": true,
"geoCheckMaxDelta": 997,
"allowedOverrunTime": 60
}
},
"zoom": false
}
},
{
"type": "resources",
"id": "22232",
"attributes": {
"slug": "airLK81OPAI6mzwPE6CmSlNSUjcDJy",
"name": "Heinrich Simmon",
"description": null,
"plain_description": "",
"availabilityMode": null,
"continuous": true,
"color": null,
"auto_accept_bookings": true,
"timezone": "Europe/Berlin",
"quantity": 1,
"staggered_quantity": null,
"max_booking_quantity": 1,
"has_children": false,
"available_from": null,
"available_to": null
},
"links": {
"self": "https://b.anny.co/api/v1/resources/22232"
},
"meta": {
"is_available": null,
"booking_count": null,
"number_available": null,
"minimal_service": {
"name": "Coaching: Leadership - Empower Your Employees",
"currency": "EUR",
"has_flexible_duration": false,
"uncharged_duration": 0,
"min_duration": 240,
"min_price_max_duration": 240,
"min_duration_total": 249,
"starting_fee": 0,
"calculation_interval": 240,
"price": 249
},
"service_list": "Coaching: Leadership - Empower Your Employees",
"services_count": 0,
"settings": {
"showAvailabilityCalendar": true,
"showAvailabilityCount": true,
"checkout": {
"customerCanPickChildren": true,
"requiresLogin": false,
"requiresLoginReason": null,
"verifyGuestEmail": false
},
"checkIn": {
"isEnabled": false
},
"selfCheckIn": {
"isEnabled": false,
"disabledUntil": 15,
"geoCheckEnabled": true,
"geoCheckMaxDelta": 997,
"allowedOverrunTime": 60
}
},
"meta_settings": {
"showAvailabilityCalendar": true,
"showAvailabilityCount": true,
"checkout": {
"customerCanPickChildren": true,
"requiresLogin": false,
"requiresLoginReason": null,
"verifyGuestEmail": false
},
"checkIn": {
"isEnabled": false
},
"selfCheckIn": {
"isEnabled": false,
"disabledUntil": 15,
"geoCheckEnabled": true,
"geoCheckMaxDelta": 997,
"allowedOverrunTime": 60
}
},
"zoom": false
}
},
{
"type": "resources",
"id": "22233",
"attributes": {
"slug": "6N0sHUrQyfEfDS1ANXNsD05cn3OPxR",
"name": "Corina Abt",
"description": null,
"plain_description": "",
"availabilityMode": null,
"continuous": true,
"color": null,
"auto_accept_bookings": true,
"timezone": "Europe/Berlin",
"quantity": 1,
"staggered_quantity": null,
"max_booking_quantity": 1,
"has_children": false,
"available_from": null,
"available_to": null
},
"links": {
"self": "https://b.anny.co/api/v1/resources/22233"
},
"meta": {
"is_available": null,
"booking_count": null,
"number_available": null,
"minimal_service": {
"name": "Coaching: Leadership - Empower Your Employees",
"currency": "EUR",
"has_flexible_duration": false,
"uncharged_duration": 0,
"min_duration": 240,
"min_price_max_duration": 240,
"min_duration_total": 249,
"starting_fee": 0,
"calculation_interval": 240,
"price": 249
},
"service_list": "Coaching: Leadership - Empower Your Employees",
"services_count": 0,
"settings": {
"showAvailabilityCalendar": true,
"showAvailabilityCount": true,
"checkout": {
"customerCanPickChildren": true,
"requiresLogin": false,
"requiresLoginReason": null,
"verifyGuestEmail": false
},
"checkIn": {
"isEnabled": false
},
"selfCheckIn": {
"isEnabled": false,
"disabledUntil": 15,
"geoCheckEnabled": true,
"geoCheckMaxDelta": 997,
"allowedOverrunTime": 60
}
},
"meta_settings": {
"showAvailabilityCalendar": true,
"showAvailabilityCount": true,
"checkout": {
"customerCanPickChildren": true,
"requiresLogin": false,
"requiresLoginReason": null,
"verifyGuestEmail": false
},
"checkIn": {
"isEnabled": false
},
"selfCheckIn": {
"isEnabled": false,
"disabledUntil": 15,
"geoCheckEnabled": true,
"geoCheckMaxDelta": 997,
"allowedOverrunTime": 60
}
},
"zoom": false
}
}
]
}Resources & Services
Get resource childrens for a given resource
For a full list of query params, please see /organizations//resources.
GET
/
api
/
v1
/
resources
/
{resource_slug}
/
children
Get resource childrens for a given resource
⌘I